Gda.Holder – Gda-6.0 Reference Manual

# Holder

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_holder_get_type ()" ) ]
public class Holder : Object, Lockable
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string description { owned get; set; }
- public Holder full_bind { owned get; set; }
- public Type g_type { get; set construct; }
- public string id { owned get; set; }
- public string name { owned get; set; }
- public bool not_null { get; set; }
- public string plugin { owned get; set; }
- public Holder simple_bind { owned get; set; }
- public int source_column { get; set; }
- public DataModel source_model { owned get; set; }
- public bool validate_changes { get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public Holder (Type type, string id)

### Methods:

- public Holder copy ()
- public void force_invalid ()
- public void force_invalid_e (owned Error? error)
- public string get_alphanum_id ()
- public unowned Holder get_bind ()
- public unowned Value? get_default_value ()
- public Type get_g_type ()
- public unowned string get_id ()
- public bool get_not_null ()
- public unowned DataModel get_source_model (int col)
- public unowned Value? get_value ()
- public string get_value_str (DataHandler? dh)
- public bool is_valid ()
- public bool is_valid_e () throws Error
- public bool set_bind (Holder bind_to) throws Error
- public void set_default_value (Value value)
- public void set_not_null (bool not_null)
- public bool set_source_model (DataModel model, int col) throws Error
- public bool set_value (Value? value) throws Error
- public bool set_value_str (DataHandler dh, string value) throws Error
- public bool set_value_to_default ()
- public Value? take_static_value (Value value, bool value_changed) throws Error
- public bool take_value (owned Value value) throws Error
- public bool value_is_default ()

### Signals:

- public virtual signal void changed ()
- public virtual signal void source_changed ()
- public virtual signal void to_default ()
- public virtual signal Error validate_change (Value new_value)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.Lockable

- @lock

- @unlock

- trylock